View Issue Details

IDProjectCategoryView StatusLast Update
0000111ScribusDocumentationpublic2009-11-02 19:36
Reporterpjohnson Assigned To 
PriorityhighSeverityfeatureReproducibilityalways
Status assignedResolutionopen 
OSAny 
Product Version1.3.4cvs 
Summary0000111: Scribus Document File format
DescriptionIt has been asked that Scribus adopts a "proper" XML file format rather than it's current one.
TagsNo tags attached.
Patch

Relationships

parent of 0000577 closedcbradney Paragraph Styles -> Kerning and language options missing 
parent of 0000866 closedfschmid Implement check box radio behaviour in PDF forms 
has duplicate 0001668 closedcbradney certain nonvalid (for xml) characters appear in scribus internal document format 
has duplicate 0002098 acknowledged Metabug: New File Format 
related to 0001475 acknowledged hyphenation: use soft hyphen character (U+00AD) instead signed by ITEXT CSTYLE 8th bit attribute 
related to 0001394 acknowledged XML based editing 
related to 0001172 feedback Document Hierarchy 
related to 0001682 acknowledged user-defined bookmark title 
related to 0001791 acknowledged Linking to external text 
related to 0000410 closedavox applying the line spacing to a paragraph 
related to 0003450 closedcezaryece Real support for endnotes 
related to 0003698 closedHerm Latex import 
related to 0004170 acknowledged Custom guides colors 

Activities

cbradney

2004-01-09 23:38

administrator   ~0000172

We expect to make changes and advances to a new file format in the 1.2 to 1.3 release cycle.

turchinc

2005-01-07 11:12

reporter   ~0003388

i dunno if its of interest to anyone but i tried generating a DTD for the 1.2.1 cvs and this is what i got (see uploaded file)

2005-01-07 11:13

 

Scribus.DTD (6,171 bytes)   
<?xml encoding="UTF-8"?>

<!ELEMENT SCRIBUSUTF8 (DOCUMENT)>
<!ATTLIST SCRIBUSUTF8
  xmlns CDATA #FIXED ''
  Version  #REQUIRED>

<!ELEMENT DOCUMENT (COLOR+,STYLE+,LAYERS+,PDF,PAGE+)>
<!ATTLIST DOCUMENT
  xmlns CDATA #FIXED ''
  ABSTSPALTEN  #REQUIRED
  ALAYER  #REQUIRED
  ANZPAGES  #REQUIRED
  AUTHOR CDATA #REQUIRED
  AUTOCHECK  #REQUIRED
  AUTOMATIC  #REQUIRED
  AUTOSPALTEN  #REQUIRED
  BASEGRID  #REQUIRED
  BASEO  #REQUIRED
  BORDERBOTTOM  #REQUIRED
  BORDERLEFT  #REQUIRED
  BORDERRIGHT  #REQUIRED
  BORDERTOP  #REQUIRED
  COMMENTS CDATA #REQUIRED
  DCOL  #REQUIRED
  DFONT CDATA #REQUIRED
  DGAP  #REQUIRED
  DIMo  #REQUIRED
  DIMo2  #REQUIRED
  DIPr  #REQUIRED
  DOCCONTRIB CDATA #REQUIRED
  DOCCOVER CDATA #REQUIRED
  DOCDATE  #REQUIRED
  DOCFORMAT  #REQUIRED
  DOCIDENT CDATA #REQUIRED
  DOCLANGINFO  #REQUIRED
  DOCRELATION CDATA #REQUIRED
  DOCRIGHTS CDATA #REQUIRED
  DOCSOURCE CDATA #REQUIRED
  DOCTYPE  #REQUIRED
  DPIn CDATA #REQUIRED
  DPIn2 CDATA #REQUIRED
  DPMo CDATA #REQUIRED
  DPPr CDATA #REQUIRED
  DPSo  #REQUIRED
  DPbla  #REQUIRED
  DPgam  #REQUIRED
  DPuse  #REQUIRED
  DSIZE  #REQUIRED
  FIRSTLEFT  #REQUIRED
  FIRSTNUM  #REQUIRED
  GROUPC  #REQUIRED
  GUIDELOCK  #REQUIRED
  HCMS  #REQUIRED
  HYCOUNT  #REQUIRED
  KEYWORDS CDATA #REQUIRED
  LANGUAGE  #REQUIRED
  MAJGRID  #REQUIRED
  MINGRID  #REQUIRED
  MINWORDLEN  #REQUIRED
  ORIENTATION  #REQUIRED
  PAGEHEIGHT  #REQUIRED
  PAGEWITH  #REQUIRED
  PUBLISHER CDATA #REQUIRED
  TITLE CDATA #REQUIRED
  UNITS  #REQUIRED
  VHOCH  #REQUIRED
  VHOCHSC  #REQUIRED
  VKAPIT  #REQUIRED
  VTIEF  #REQUIRED
  VTIEFSC  #REQUIRED>

<!ELEMENT COLOR EMPTY>
<!ATTLIST COLOR
  xmlns CDATA #FIXED ''
  CMYK CDATA #REQUIRED
  NAME  #REQUIRED
  RGB CDATA #REQUIRED>

<!ELEMENT STYLE EMPTY>
<!ATTLIST STYLE
  xmlns CDATA #FIXED ''
  ALIGN  #REQUIRED
  BASE  #REQUIRED
  DROP  #REQUIRED
  DROPLIN  #REQUIRED
  EFFECT  #REQUIRED
  FCOLOR  #REQUIRED
  FIRST  #REQUIRED
  FONT CDATA #REQUIRED
  FONTSIZE  #REQUIRED
  FSHADE  #REQUIRED
  INDENT  #REQUIRED
  LINESP  #REQUIRED
  NACH  #REQUIRED
  NAME  #REQUIRED
  NUMTAB  #REQUIRED
  SCOLOR  #REQUIRED
  SSHADE  #REQUIRED
  TABS CDATA #REQUIRED
  VOR  #REQUIRED>

<!ELEMENT LAYERS EMPTY>
<!ATTLIST LAYERS
  xmlns CDATA #FIXED ''
  DRUCKEN  #REQUIRED
  LEVEL  #REQUIRED
  NAME  #REQUIRED
  NUMMER  #REQUIRED
  SICHTBAR  #REQUIRED>

<!ELEMENT PDF (Fonts+,Effekte+,LPI+)>
<!ATTLIST PDF
  xmlns CDATA #FIXED ''
  Articles  #REQUIRED
  BBottom  #REQUIRED
  BLeft  #REQUIRED
  BRight  #REQUIRED
  BTop  #REQUIRED
  Binding  #REQUIRED
  Bookmarks  #REQUIRED
  CMethod  #REQUIRED
  Compress  #REQUIRED
  Encrypt  #REQUIRED
  ImageP CDATA #REQUIRED
  ImagePr  #REQUIRED
  InfoString CDATA #REQUIRED
  Intent  #REQUIRED
  Intent2  #REQUIRED
  PassOwner CDATA #REQUIRED
  PassUser CDATA #REQUIRED
  Permissions  #REQUIRED
  PicRes  #REQUIRED
  PresentMode  #REQUIRED
  PrintP CDATA #REQUIRED
  Quality  #REQUIRED
  RGBMode  #REQUIRED
  RecalcPic  #REQUIRED
  Resolution  #REQUIRED
  SolidP CDATA #REQUIRED
  Thumbnails  #REQUIRED
  UseLpi  #REQUIRED
  UseProfiles  #REQUIRED
  UseProfiles2  #REQUIRED
  Version  #REQUIRED>

<!ELEMENT PAGE (PAGEOBJECT)*>
<!ATTLIST PAGE
  xmlns CDATA #FIXED ''
  HorizontalGuides CDATA #REQUIRED
  LEFT  #REQUIRED
  MNAM CDATA #REQUIRED
  NAM CDATA #REQUIRED
  NUM  #REQUIRED
  NumHGuides  #REQUIRED
  NumVGuides  #REQUIRED
  VerticalGuides CDATA #REQUIRED>

<!ELEMENT Fonts EMPTY>
<!ATTLIST Fonts
  xmlns CDATA #FIXED ''
  Name CDATA #REQUIRED>

<!ELEMENT Effekte EMPTY>
<!ATTLIST Effekte
  xmlns CDATA #FIXED ''
  AnzeigeLen  #REQUIRED
  Di  #REQUIRED
  Dm  #REQUIRED
  Effekt  #REQUIRED
  EffektLen  #REQUIRED
  M  #REQUIRED>

<!ELEMENT LPI EMPTY>
<!ATTLIST LPI
  xmlns CDATA #FIXED ''
  Angle  #REQUIRED
  Color  #REQUIRED
  Frequency  #REQUIRED
  SpotFunction  #REQUIRED>

<!ELEMENT PAGEOBJECT (ITEXT)?>
<!ATTLIST PAGEOBJECT
  xmlns CDATA #FIXED ''
  ALIGN  #REQUIRED
  ANNAME CDATA #REQUIRED
  ANNOTATION  #REQUIRED
  AUTOTEXT  #REQUIRED
  BACKITEM  #REQUIRED
  BACKPAGE  #REQUIRED
  BASEOF  #REQUIRED
  BBOXH  #REQUIRED
  BBOXX  #REQUIRED
  BEXTRA  #REQUIRED
  BOOKMARK  #REQUIRED
  BookNr  #REQUIRED
  BottomLine  #REQUIRED
  CLIPEDIT  #REQUIRED
  COCOOR CDATA #REQUIRED
  COLGAP  #REQUIRED
  COLUMNS  #REQUIRED
  DASHOFF  #REQUIRED
  DASHS CDATA #REQUIRED
  EMBEDDED  #REQUIRED
  EPROF CDATA #REQUIRED
  EXTRA  #REQUIRED
  EXTRAV  #REQUIRED
  FLIPPEDH  #REQUIRED
  FLIPPEDV  #REQUIRED
  FRTYPE  #REQUIRED
  GROUPS CDATA #REQUIRED
  GRTYP  #REQUIRED
  HEIGHT  #REQUIRED
  IFONT CDATA #REQUIRED
  INVERS  #REQUIRED
  IRENDER  #REQUIRED
  ISIZE  #REQUIRED
  LANGUAGE  #REQUIRED
  LAYER  #REQUIRED
  LINESP  #REQUIRED
  LOCALSCX  #REQUIRED
  LOCALSCY  #REQUIRED
  LOCALX  #REQUIRED
  LOCALY  #REQUIRED
  LOCK  #REQUIRED
  LOCKR  #REQUIRED
  LeftLine  #REQUIRED
  NAMEDLST CDATA #REQUIRED
  NEXTITEM  #REQUIRED
  NEXTPAGE  #REQUIRED
  NUMCO  #REQUIRED
  NUMDASH  #REQUIRED
  NUMGROUP  #REQUIRED
  NUMPO  #REQUIRED
  NUMTAB  #REQUIRED
  PCOLOR  #REQUIRED
  PCOLOR2  #REQUIRED
  PFILE CDATA #REQUIRED
  PFILE2 CDATA #REQUIRED
  PFILE3 CDATA #REQUIRED
  PICART  #REQUIRED
  PLINEART  #REQUIRED
  PLINEEND  #REQUIRED
  PLINEJOIN  #REQUIRED
  PLTSHOW  #REQUIRED
  POCOOR CDATA #REQUIRED
  PRFILE CDATA #REQUIRED
  PRINTABLE  #REQUIRED
  PTYPE  #REQUIRED
  PWIDTH  #REQUIRED
  RADRECT  #REQUIRED
  RATIO  #REQUIRED
  REVERS  #REQUIRED
  REXTRA  #REQUIRED
  ROT CDATA #REQUIRED
  RightLine  #REQUIRED
  SCALETYPE  #REQUIRED
  SHADE  #REQUIRED
  SHADE2  #REQUIRED
  TABS CDATA #REQUIRED
  TEXTFLOW  #REQUIRED
  TEXTFLOW2  #REQUIRED
  TEXTFLOW3  #REQUIRED
  TEXTRA  #REQUIRED
  TXTFILL  #REQUIRED
  TXTFILLSH  #REQUIRED
  TXTSCALE  #REQUIRED
  TXTSTROKE  #REQUIRED
  TXTSTRSH  #REQUIRED
  TXTSTYLE  #REQUIRED
  TopLine  #REQUIRED
  TransValue  #REQUIRED
  TransValueS  #REQUIRED
  WIDTH  #REQUIRED
  XPOS  #REQUIRED
  YPOS  #REQUIRED
  isTableItem  #REQUIRED>

<!ELEMENT ITEXT EMPTY>
<!ATTLIST ITEXT
  xmlns CDATA #FIXED ''
  CAB  #REQUIRED
  CCOLOR  #REQUIRED
  CEXTRA  #REQUIRED
  CFONT CDATA #REQUIRED
  CH CDATA #REQUIRED
  CSCALE  #REQUIRED
  CSHADE  #REQUIRED
  CSHADE2  #REQUIRED
  CSIZE  #REQUIRED
  CSTROKE  #REQUIRED
  CSTYLE  #REQUIRED>
Scribus.DTD (6,171 bytes)   

2005-01-07 18:38

 

Scribus.fixed.dtd (7,259 bytes)   
<?xml encoding="UTF-8"?>

<!ELEMENT SCRIBUSUTF8 (DOCUMENT)>
<!ATTLIST SCRIBUSUTF8
  xmlns CDATA #FIXED ''
  Version CDATA #REQUIRED>

<!ELEMENT DOCUMENT (MultiLine*,COLOR+,STYLE*,LAYERS+,PDF*,PAGE+)>
<!ATTLIST DOCUMENT
  xmlns CDATA #FIXED ''
  ABSTSPALTEN CDATA #REQUIRED
  ALAYER CDATA #REQUIRED
  ANZPAGES CDATA #REQUIRED
  AUTHOR CDATA #REQUIRED
  AUTOCHECK CDATA #REQUIRED
  AUTOMATIC CDATA #REQUIRED
  AUTOSPALTEN CDATA #REQUIRED
  BASEGRID CDATA #REQUIRED
  BASEO CDATA #REQUIRED
  BORDERBOTTOM CDATA #REQUIRED
  BORDERLEFT CDATA #REQUIRED
  BORDERRIGHT CDATA #REQUIRED
  BORDERTOP CDATA #REQUIRED
  COMMENTS CDATA #REQUIRED
  DCOL CDATA #REQUIRED
  DFONT CDATA #REQUIRED
  DGAP CDATA #REQUIRED
  DIMo CDATA #REQUIRED
  DIMo2 CDATA #REQUIRED
  DIPr CDATA #REQUIRED
  DOCCONTRIB CDATA #REQUIRED
  DOCCOVER CDATA #REQUIRED
  DOCDATE CDATA #REQUIRED
  DOCFORMAT CDATA #REQUIRED
  DOCIDENT CDATA #REQUIRED
  DOCLANGINFO CDATA #REQUIRED
  DOCRELATION CDATA #REQUIRED
  DOCRIGHTS CDATA #REQUIRED
  DOCSOURCE CDATA #REQUIRED
  DOCTYPE CDATA #REQUIRED
  DPIn CDATA #REQUIRED
  DPIn2 CDATA #REQUIRED
  DPMo CDATA #REQUIRED
  DPPr CDATA #REQUIRED
  DPSo CDATA #REQUIRED
  DPbla CDATA #REQUIRED
  DPgam CDATA #REQUIRED
  DPuse CDATA #REQUIRED
  DSIZE CDATA #REQUIRED
  FIRSTLEFT CDATA #REQUIRED
  FIRSTNUM CDATA #REQUIRED
  GROUPC CDATA #REQUIRED
  GUIDELOCK CDATA #REQUIRED
  HCMS CDATA #REQUIRED
  HYCOUNT CDATA #REQUIRED
  KEYWORDS CDATA #REQUIRED
  LANGUAGE CDATA #REQUIRED
  MAJGRID CDATA #REQUIRED
  MINGRID CDATA #REQUIRED
  MINWORDLEN CDATA #REQUIRED
  ORIENTATION CDATA #REQUIRED
  PAGEHEIGHT CDATA #REQUIRED
  PAGEWITH CDATA #REQUIRED
  PUBLISHER CDATA #REQUIRED
  TITLE CDATA #REQUIRED
  UNITS CDATA #REQUIRED
  VHOCH CDATA #REQUIRED
  VHOCHSC CDATA #REQUIRED
  VKAPIT CDATA #REQUIRED
  VTIEF CDATA #REQUIRED
  VTIEFSC CDATA #REQUIRED>

<!ELEMENT MultiLine EMPTY>
<!ATTLIST MultiLine
  xmlns CDATA #FIXED ''
  Name CDATA #REQUIRED>

<!ELEMENT COLOR EMPTY>
<!ATTLIST COLOR
  xmlns CDATA #FIXED ''
  CMYK CDATA #REQUIRED
  NAME CDATA #REQUIRED
  RGB CDATA #REQUIRED>

<!ELEMENT STYLE EMPTY>
<!ATTLIST STYLE
  xmlns CDATA #FIXED ''
  ALIGN CDATA #REQUIRED
  BASE CDATA #REQUIRED
  DROP CDATA #REQUIRED
  DROPLIN CDATA #REQUIRED
  EFFECT CDATA #REQUIRED
  FCOLOR CDATA #REQUIRED
  FIRST CDATA #REQUIRED
  FONT CDATA #REQUIRED
  FONTSIZE CDATA #REQUIRED
  FSHADE CDATA #REQUIRED
  INDENT CDATA #REQUIRED
  LINESP CDATA #REQUIRED
  NACH CDATA #REQUIRED
  NAME CDATA #REQUIRED
  NUMTAB CDATA #REQUIRED
  SCOLOR CDATA #REQUIRED
  SSHADE CDATA #REQUIRED
  TABS CDATA #REQUIRED
  VOR CDATA #REQUIRED>

<!ELEMENT LAYERS EMPTY>
<!ATTLIST LAYERS
  xmlns CDATA #FIXED ''
  DRUCKEN CDATA #REQUIRED
  LEVEL CDATA #REQUIRED
  NAME CDATA #REQUIRED
  NUMMER CDATA #REQUIRED
  SICHTBAR CDATA #REQUIRED>

<!ELEMENT PDF (Fonts*,Effekte*,LPI*)>
<!ATTLIST PDF
  xmlns CDATA #FIXED ''
  Articles CDATA #REQUIRED
  BBottom CDATA #REQUIRED
  BLeft CDATA #REQUIRED
  BRight CDATA #REQUIRED
  BTop CDATA #REQUIRED
  Binding CDATA #REQUIRED
  Bookmarks CDATA #REQUIRED
  CMethod CDATA #REQUIRED
  Compress CDATA #REQUIRED
  Encrypt CDATA #REQUIRED
  ImageP CDATA #REQUIRED
  ImagePr CDATA #REQUIRED
  InfoString CDATA #REQUIRED
  Intent CDATA #REQUIRED
  Intent2 CDATA #REQUIRED
  PassOwner CDATA #REQUIRED
  PassUser CDATA #REQUIRED
  Permissions CDATA #REQUIRED
  PicRes CDATA #REQUIRED
  PresentMode CDATA #REQUIRED
  PrintP CDATA #REQUIRED
  Quality CDATA #REQUIRED
  RGBMode CDATA #REQUIRED
  RecalcPic CDATA #REQUIRED
  Resolution CDATA #REQUIRED
  SolidP CDATA #REQUIRED
  Thumbnails CDATA #REQUIRED
  UseLpi CDATA #REQUIRED
  UseProfiles CDATA #REQUIRED
  UseProfiles2 CDATA #REQUIRED
  Version CDATA #REQUIRED>

<!ELEMENT PAGE (PAGEOBJECT*)>
<!ATTLIST PAGE
  xmlns CDATA #FIXED ''
  HorizontalGuides CDATA #REQUIRED
  LEFT CDATA #REQUIRED
  MNAM CDATA #REQUIRED
  NAM CDATA #REQUIRED
  NUM CDATA #REQUIRED
  NumHGuides CDATA #REQUIRED
  NumVGuides CDATA #REQUIRED
  VerticalGuides CDATA #REQUIRED>

<!ELEMENT Fonts EMPTY>
<!ATTLIST Fonts
  xmlns CDATA #FIXED ''
  Name CDATA #REQUIRED>

<!ELEMENT Effekte EMPTY>
<!ATTLIST Effekte
  xmlns CDATA #FIXED ''
  AnzeigeLen CDATA #REQUIRED
  Di CDATA #REQUIRED
  Dm CDATA #REQUIRED
  Effekt CDATA #REQUIRED
  EffektLen CDATA #REQUIRED
  M CDATA #REQUIRED>

<!ELEMENT LPI EMPTY>
<!ATTLIST LPI
  xmlns CDATA #FIXED ''
  Angle CDATA #REQUIRED
  Color CDATA #REQUIRED
  Frequency CDATA #REQUIRED
  SpotFunction CDATA #REQUIRED>

<!ELEMENT PAGEOBJECT (ITEXT*)>
<!ATTLIST PAGEOBJECT
  xmlns CDATA #FIXED ''
  ALIGN CDATA #REQUIRED
  ANNAME CDATA #REQUIRED
  ANNOTATION CDATA #REQUIRED
  AUTOTEXT CDATA #REQUIRED
  BACKITEM CDATA #REQUIRED
  BACKPAGE CDATA #REQUIRED
  BASEOF CDATA #REQUIRED
  BBOXH CDATA #REQUIRED
  BBOXX CDATA #REQUIRED
  BEXTRA CDATA #REQUIRED
  BOOKMARK CDATA #REQUIRED
  BookNr CDATA #REQUIRED
  BottomLine CDATA #REQUIRED
  CLIPEDIT CDATA #REQUIRED
  COCOOR CDATA #REQUIRED
  COLGAP CDATA #REQUIRED
  COLUMNS CDATA #REQUIRED
  DASHOFF CDATA #REQUIRED
  DASHS CDATA #REQUIRED
  EMBEDDED CDATA #REQUIRED
  EPROF CDATA #REQUIRED
  EXTRA CDATA #REQUIRED
  EXTRAV CDATA #REQUIRED
  FLIPPEDH CDATA #REQUIRED
  FLIPPEDV CDATA #REQUIRED
  FRTYPE CDATA #REQUIRED
  GROUPS CDATA #REQUIRED
  GRTYP CDATA #REQUIRED
  HEIGHT CDATA #REQUIRED
  IFONT CDATA #REQUIRED
  INVERS CDATA #REQUIRED
  IRENDER CDATA #REQUIRED
  ISIZE CDATA #REQUIRED
  LANGUAGE CDATA #REQUIRED
  LAYER CDATA #REQUIRED
  LINESP CDATA #REQUIRED
  LOCALSCX CDATA #REQUIRED
  LOCALSCY CDATA #REQUIRED
  LOCALX CDATA #REQUIRED
  LOCALY CDATA #REQUIRED
  LOCK CDATA #REQUIRED
  LOCKR CDATA #REQUIRED
  LeftLine CDATA #REQUIRED
  NAMEDLST CDATA #REQUIRED
  NEXTITEM CDATA #REQUIRED
  NEXTPAGE CDATA #REQUIRED
  NUMCO CDATA #REQUIRED
  NUMDASH CDATA #REQUIRED
  NUMGROUP CDATA #REQUIRED
  NUMPO CDATA #REQUIRED
  NUMTAB CDATA #REQUIRED
  PCOLOR CDATA #REQUIRED
  PCOLOR2 CDATA #REQUIRED
  PFILE CDATA #REQUIRED
  PFILE2 CDATA #REQUIRED
  PFILE3 CDATA #REQUIRED
  PICART CDATA #REQUIRED
  PLINEART CDATA #REQUIRED
  PLINEEND CDATA #REQUIRED
  PLINEJOIN CDATA #REQUIRED
  PLTSHOW CDATA #REQUIRED
  POCOOR CDATA #REQUIRED
  PRFILE CDATA #REQUIRED
  PRINTABLE CDATA #REQUIRED
  PTYPE CDATA #REQUIRED
  PWIDTH CDATA #REQUIRED
  RADRECT CDATA #REQUIRED
  RATIO CDATA #REQUIRED
  REVERS CDATA #REQUIRED
  REXTRA CDATA #REQUIRED
  ROT CDATA #REQUIRED
  RightLine CDATA #REQUIRED
  SCALETYPE CDATA #REQUIRED
  SHADE CDATA #REQUIRED
  SHADE2 CDATA #REQUIRED
  TABS CDATA #REQUIRED
  TEXTFLOW CDATA #REQUIRED
  TEXTFLOW2 CDATA #REQUIRED
  TEXTFLOW3 CDATA #REQUIRED
  TEXTRA CDATA #REQUIRED
  TXTFILL CDATA #REQUIRED
  TXTFILLSH CDATA #REQUIRED
  TXTSCALE CDATA #REQUIRED
  TXTSTROKE CDATA #REQUIRED
  TXTSTRSH CDATA #REQUIRED
  TXTSTYLE CDATA #REQUIRED
  TopLine CDATA #REQUIRED
  TransValue CDATA #REQUIRED
  TransValueS CDATA #REQUIRED
  WIDTH CDATA #REQUIRED
  XPOS CDATA #REQUIRED
  YPOS CDATA #REQUIRED
  isTableItem CDATA #REQUIRED>

<!ELEMENT ITEXT EMPTY>
<!ATTLIST ITEXT
  xmlns CDATA #FIXED ''
  CAB CDATA #REQUIRED
  CCOLOR CDATA #REQUIRED
  CEXTRA CDATA #REQUIRED
  CFONT CDATA #REQUIRED
  CH CDATA #REQUIRED
  CSCALE CDATA #REQUIRED
  CSHADE CDATA #REQUIRED
  CSHADE2 CDATA #REQUIRED
  CSIZE CDATA #REQUIRED
  CSTROKE CDATA #REQUIRED
  CSTYLE CDATA #REQUIRED>
Scribus.fixed.dtd (7,259 bytes)   

mhanski

2005-05-20 17:36

developer   ~0004728

Last edited: 2008-02-02 21:46

I've added a new Wiki page:

http://wiki.scribus.net/index.php/File_Format_for_Scribus_1.3.x

Issue History

Date Modified Username Field Change
2004-01-05 00:13 pjohnson New Issue
2004-01-05 00:42 cbradney Product Version => 1.3
2004-01-05 00:55 cbradney Status new => acknowledged
2004-01-09 23:27 cbradney Status acknowledged => new
2004-01-09 23:38 cbradney Note Added: 0000172
2004-01-09 23:38 cbradney Summary File format => Scribus Document File format
2004-12-05 19:52 cbradney Status new => assigned
2004-12-05 19:52 cbradney Assigned To => malex
2004-12-31 06:40 cbradney Relationship added related to 0001475
2005-01-07 11:12 turchinc Note Added: 0003388
2005-01-07 11:13 turchinc File Added: Scribus.DTD
2005-01-07 18:38 turchinc File Added: Scribus.fixed.dtd
2005-02-15 07:06 cbradney Relationship added has duplicate 0001668
2005-04-27 08:18 ringerc Relationship added related to 0001394
2005-05-20 17:36 mhanski Note Added: 0004728
2005-10-08 23:33 mhanski Relationship added parent of 0000577
2005-10-08 23:34 mhanski Relationship added parent of 0000866
2005-10-21 20:57 mhanski Relationship added has duplicate 0002098
2006-04-12 11:12 mhanski Relationship added related to 0001172
2006-04-12 11:15 mhanski Product Version 1.3 => 1.3.4cvs
2006-04-12 12:30 mhanski Priority normal => high
2006-04-12 13:32 mhanski Relationship added related to 0001682
2006-04-12 21:59 mhanski Relationship added related to 0001791
2006-04-23 17:57 mhanski Relationship added related to 0000410
2006-04-23 17:59 mhanski Relationship added related to 0003450
2006-04-24 11:53 mhanski Relationship added related to 0003698
2006-09-08 08:07 subik Relationship added related to 0004170
2008-02-02 21:46 mhanski Note Edited: 0004728
2009-11-02 19:36 malex Assigned To malex =>